Skip to main content
Update brain
Operation ID: http.brains.update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.

Required string length: 1 - 200
Pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$

Path Parameters

org
string
required
project
string
required
id
string
required

Body

application/json
name
string
Maximum string length: 200
purpose
string | null
Maximum string length: 4096
kit_version_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
instance_instructions
string

Response

2XX - application/json

Success.

request_id
string
required
outcome
string
required
Allowed value: "applied"
replayed
boolean
required
data
object
required
{key}
any